GearmanJob::exception
GearmanJob::functionName
GearmanJob
PHP Manual

# GearmanJob::fail

Send fail status (deprecated)

### Description

public bool GearmanJob::fail ( void )

Sends failure status for this job, indicating that the job failed in a known way (as opposed to failing due to a thrown exception).

> Note:

> This method has been replaced by GearmanJob::sendFail in the 0.6.0 release of the Gearman extension.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- GearmanJob::sendException
- GearmanJob::setReturn
- GearmanJob::sendStatus
- GearmanJob::sendWarning